Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class NotationImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.NotationImpl

All Implemented Interfaces:
  Serializable, Cloneable, EventTarget, Node, NodeList, Notation

Direct Known Subclasses:
  DeferredNotationImpl

Deprecated. please use JDK supplied XML parsers and transformers

    public class NotationImpl

extends NodeImpl
implements Notation

Notations are how the Document Type Description (DTD) records hints about the format of an XML "unparsed entity" -- in other words, non-XML data bound to this document type, which some applications may wish to consult when manipulating the document. A Notation represents a name-value pair, with its nodeName being set to the declared name of the notation.

Notations are also used to formally declare the "targets" of Processing Instructions.

Note that the Notation's data is non-DOM information; the DOM only records what and where it is.

See the XML 1.0 spec, sections 4.7 and 2.6, for more info.

Level 1 of the DOM does not support editing Notation contents.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Since:
  PR-DOM-Level-1-19980818.
See Also:
  Serialized Form

Field Summary
`protected String` | `baseURI` Deprecated. Base URI
`protected String` | `name` Deprecated. Notation name.
`protected String` | `publicId` Deprecated. Public identifier.
`protected String` | `systemId` Deprecated. System identifier.

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`NotationImpl(CoreDocumentImpl ownerDoc, String name)` Deprecated. Factory constructor.

Method Summary
`String` | `getBaseURI()` Deprecated. DOM Level 3 WD - Experimental.
`String` | `getNodeName()` Deprecated. Returns the notation name
`short` | `getNodeType()` Deprecated. A short integer indicating what type of node this is.
`String` | `getPublicId()` Deprecated. The Public Identifier for this Notation.
`String` | `getSystemId()` Deprecated. The System Identifier for this Notation.
`void` | `setBaseURI(String uri)` Deprecated. NON-DOM: set base uri
`void` | `setPublicId(String id)` Deprecated. NON-DOM: The Public Identifier for this Notation.
`void` | `setSystemId(String id)` Deprecated. NON-DOM: The System Identifier for this Notation.

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, cloneNode, compareTreePosition, dispatchEvent, getAttributes, getChildNodes, getFirstChild, getInterface, getLastChild, getLength, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getReadOnly, getTextContent, getUserData, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, item, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, normalize, removeChild, removeEventListener, replaceChild, setNodeValue, setPrefix, setReadOnly, setTextContent, setUserData, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Field Detail

### name

    protected String name

  Deprecated.
  Notation name.

### publicId

    protected String publicId

  Deprecated.
  Public identifier.

### systemId

    protected String systemId

  Deprecated.
  System identifier.

### baseURI

    protected String baseURI

  Deprecated.
  Base URI

Constructor Detail

### NotationImpl

    public NotationImpl(CoreDocumentImpl ownerDoc,
                        String name)

  Deprecated.
  Factory constructor.

Method Detail

### getNodeType

    public short getNodeType()

  Deprecated.
  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.

  Specified by:
    `getNodeType` in interface `Node`
  Specified by:
    `getNodeType` in class `NodeImpl`

### getNodeName

    public String getNodeName()

  Deprecated.
  Returns the notation name

  Specified by:
    `getNodeName` in interface `Node`
  Specified by:
    `getNodeName` in class `NodeImpl`

### getPublicId

    public String getPublicId()

  Deprecated.
  The Public Identifier for this Notation. If no public identifier was specified, this will be null.

  Specified by:
    `getPublicId` in interface `Notation`

### getSystemId

    public String getSystemId()

  Deprecated.
  The System Identifier for this Notation. If no system identifier was specified, this will be null.

  Specified by:
    `getSystemId` in interface `Notation`

### setPublicId

    public void setPublicId(String id)

  Deprecated.
  NON-DOM: The Public Identifier for this Notation. If no public identifier was specified, this will be null.

### setSystemId

    public void setSystemId(String id)

  Deprecated.
  NON-DOM: The System Identifier for this Notation. If no system identifier was specified, this will be null.

### getBaseURI

    public String getBaseURI()

  Deprecated.
  DOM Level 3 WD - Experimental. Retrieve baseURI

  Specified by:
    `getBaseURI` in interface `Node`
  Overrides:
    `getBaseURI` in class `NodeImpl`

### setBaseURI

    public void setBaseURI(String uri)

  Deprecated.
  NON-DOM: set base uri

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD